> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# List campaign details

GET https://api.mailchimp.com/3.0/reports/{campaign_id}/click-details

Get information about clicks on specific links in your Mailchimp campaigns.

Reference: https://mailchimp.com/developer/marketing/api/reports/list-click-details

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `campaign_id` (string, required) — The unique id for the campaign.

### Query parameters

- `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
- `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.
- `count` (integer, optional, default: 10) — The number of records to return. Default value is 10. Maximum value is 1000
- `offset` (integer, optional, default: 0) — Used for [pagination](https://mailchimp.com/developer/marketing/docs/methods-parameters/#pagination), this is the number of records from a collection to skip. Default value is 0.
- `sort_field` (enum, optional) — Returns click reports sorted by the specified field.
  - Allowed values: `total_clicks`, `unique_clicks`
- `sort_dir` (enum, optional) — Determines the order direction for sorted results.
  - Allowed values: `ASC`, `DESC`
- `filter_bots` (boolean, optional, default: false) — When true, exclude automated bot clicks so the returned click counts reflect human clicks only, matching the in-app Recipient Activity view. Filtering changes a link's counts, but never removes a link from the response. Defaults to false (all clicks).

## Response

### 200

- `_links` (list of 30ReportsCampaignIdClickDetailsGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `campaign_id` (string, optional) — The campaign id.
- `total_items` (integer, optional) — The total number of items matching the query regardless of pagination.
- `urls_clicked` (list of ClickDetailReport, optional) — An array of objects, each representing a specific URL contained in the campaign.

## Types

### 30ReportsCampaignIdClickDetailsGetResponsesContentApplicationJsonSchemaLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### ClickDetailReport

A report of links clicked in a specific campaign.

- `_links` (list of ClickDetailReportLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `ab_split` (ClickDetailReportAbSplit, optional) — A breakdown of clicks by different groups of an A/B Split campaign. Does not return information about Multivariate Campaigns.
- `campaign_id` (string, optional) — The campaign id.
- `click_percentage` (double, optional) — The percentage of total clicks a link generated for a campaign.
- `id` (string, optional) — The unique id for the link.
- `last_click` (datetime, optional) — The date and time for the last recorded click for a link in ISO 8601 format.
- `total_clicks` (integer, optional) — The number of total clicks for a link.
- `unique_click_percentage` (double, optional) — The percentage of unique clicks a link generated for a campaign.
- `unique_clicks` (integer, optional) — Number of unique clicks for a link.
- `url` (string, optional) — The URL for the link in the campaign.

### ClickDetailReportLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### ClickDetailReportAbSplit

A breakdown of clicks by different groups of an A/B Split campaign. Does not return information about Multivariate Campaigns.

- `a` (ClickDetailReportAbSplitA, optional) — Stats for Group A.
- `b` (ClickDetailReportAbSplitB, optional) — Stats for Group B.

### ClickDetailReportAbSplitA

Stats for Group A.

- `click_percentage_a` (double, optional) — The percentage of total clicks for Group A.
- `total_clicks_a` (integer, optional) — The total number of clicks for Group A.
- `unique_click_percentage_a` (double, optional) — The percentage of unique clicks for Group A.
- `unique_clicks_a` (integer, optional) — The number of unique clicks for Group A.

### ClickDetailReportAbSplitB

Stats for Group B.

- `click_percentage_b` (double, optional) — The percentage of total clicks for Group B.
- `total_clicks_b` (integer, optional) — The total number of clicks for Group B.
- `unique_click_percentage_b` (double, optional) — The percentage of unique clicks for Group B.
- `unique_clicks_b` (integer, optional) — The number of unique clicks for Group B.

## Examples

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "campaign_id": "string",
  "total_items": 1,
  "urls_clicked": [
    {
      "_links": [
        {
          "href": "string",
          "method": "GET",
          "rel": "string",
          "schema": "string",
          "targetSchema": "string"
        }
      ],
      "ab_split": {
        "a": {
          "click_percentage_a": 1.1,
          "total_clicks_a": 1,
          "unique_click_percentage_a": 1.1,
          "unique_clicks_a": 1
        },
        "b": {
          "click_percentage_b": 1.1,
          "total_clicks_b": 1,
          "unique_click_percentage_b": 1.1,
          "unique_clicks_b": 1
        }
      },
      "campaign_id": "string",
      "click_percentage": 1.1,
      "id": "string",
      "last_click": "2024-01-15T09:30:00Z",
      "total_clicks": 1,
      "unique_click_percentage": 1.1,
      "unique_clicks": 1,
      "url": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/reports/campaign_id/click-details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/reports/campaign_id/click-details';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/reports/campaign_id/click-details"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/reports/campaign_id/click-details")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mailchimp.com/3.0/reports/campaign_id/click-details")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mailchimp.com/3.0/reports/campaign_id/click-details', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/reports/campaign_id/click-details");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reports/campaign_id/click-details")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```